<?php
function silvuple_content_shortcode($params, $content) {
    extract( shortcode_atts( 
    	array(
	        'settings'            	  		=> '',
	        'background_image'        		=> '',
	        'list'                    		=> '',
	        'show_box_shadow'         		=> '',
	        'template_version'        		=> '',
	        'background_image_position'     => '',
        ), $params)
    );
    ob_start(); 
    $list = unserialize(base64_decode($list)); ?>
	<div class="silvuple-content-bg-container silvuple-content-template-<?php echo esc_attr($template_version); ?> <?php echo esc_attr($background_image_position); ?>" >
 		<?php if (isset($background_image) && !empty($background_image)) { ?>
		    <?php if ($template_version == 'v1') { ?>
				<div class="silvuple-content-container <?php echo esc_html($show_box_shadow) ?>" style="background-image: url(<?php echo esc_attr($background_image); ?>);"></div>
				<div class="silvuple-content-container <?php echo esc_html($show_box_shadow) ?>">
			<?php } else { ?>
				<div class="silvuple-content-container <?php echo esc_html($show_box_shadow) ?>" style="background-image: url(<?php echo esc_attr($background_image); ?>);"><div class="silvuple-content-container-inner"></div>
			<?php } ?>
	    <?php } else { ?>
			<div class="silvuple-content-bg-container">
				<div class="silvuple-content-container <?php echo esc_html($show_box_shadow) ?>">
	    <?php } ?>

		<?php if ($list) {
	        foreach ( $list as $item ) {
	        	$type =                         ((array_key_exists('type', $item))?$item['type']:"v1");
                $header_text =   				((array_key_exists('header_text', $item))?$item['header_text']:"");
                $header_alignment =   			((array_key_exists('header_alignment', $item))?$item['header_alignment']:"");
                $header_color =   				((array_key_exists('header_color', $item))?$item['header_color']:"");
                $header_secondary_text =        ((array_key_exists('header_secondary_text', $item))?$item['header_secondary_text']:"");
                $header_secondary_alignment =   ((array_key_exists('header_secondary_alignment', $item))?$item['header_secondary_alignment']:"");
                $header_secondary_color =       ((array_key_exists('header_secondary_color', $item))?$item['header_secondary_color']:"");
                $paragraph_text =   			((array_key_exists('paragraph_text', $item))?$item['paragraph_text']:"");
                $paragraph_alignment =   		((array_key_exists('paragraph_alignment', $item))?$item['paragraph_alignment']:"");
                $paragraph_color =   			((array_key_exists('paragraph_color', $item))?$item['paragraph_color']:"");
                $phone_number =   				((array_key_exists('phone_number', $item))?$item['phone_number']:"");
                $phone_alignment =   			((array_key_exists('phone_alignment', $item))?$item['phone_alignment']:"");
                $phone_color =   				((array_key_exists('phone_color', $item))?$item['phone_color']:"");
                $button_text =   	            ((array_key_exists('button_text', $item))?$item['button_text']:"");
                $button_alignment =   			((array_key_exists('button_alignment', $item))?$item['button_alignment']:"");
                $button_background_color =   	((array_key_exists('button_background_color', $item))?$item['button_background_color']:"");
                $button_color =   	            ((array_key_exists('button_color', $item))?$item['button_color']:"");
                $button_type =                  ((array_key_exists('button_type', $item))?$item['button_type']:"button_link");
                $button_url_link =   	        ((array_key_exists('button_url_link', $item))?$item['button_url_link']['url']:"");
                $button_email_link =            ((array_key_exists('button_email_link', $item))?$item['button_email_link']:"");
                $email_subject =   	            ((array_key_exists('email_subject', $item))?$item['email_subject']:"");
                $email_cc =   	            	((array_key_exists('email_cc', $item))?$item['email_cc']:"");
                $email_bcc =   	            	((array_key_exists('email_bcc', $item))?$item['email_bcc']:"");
                $email_body =   	            ((array_key_exists('email_body', $item))?$item['email_body']:"");
                $separator_border =   			((array_key_exists('separator_border', $item))?$item['separator_border']:"");
                $separator_width =   			((array_key_exists('separator_width', $item))?$item['separator_width']:"");
                $separator_color =   			((array_key_exists('separator_color', $item))?$item['separator_color']:"");
                $contact_form_id =   			((array_key_exists('contact_form_id', $item))?$item['contact_form_id']:"");
                $spacer =   	            	((array_key_exists('spacer', $item))?$item['spacer']:"");
                $image =   	            		((array_key_exists('image', $item))?$item['image']['url']:"");
                $image_size =   	            ((array_key_exists('image_size', $item))?$item['image_size']:"");
                $show_box_shadow =   			((array_key_exists('show_box_shadow', $item))?$item['show_box_shadow']:"no_shadow");
		        ?> 

            	<?php if($type == "header_primary") { ?>
            		<h2 class="silvuple-element-header1" style="text-align:<?php echo esc_attr($header_alignment) ?>; color:<?php echo esc_attr($header_color) ?>;"><?php echo esc_html($header_text) ?></h2>
            	<?php } elseif($type == "header_secondary") { ?>
                	<h3 class="silvuple-element-header2" style=" text-align:<?php echo esc_attr($header_secondary_alignment) ?>; color:<?php echo esc_attr($header_secondary_color) ?>;"><?php echo esc_html($header_secondary_text) ?></h3>
            	<?php } elseif($type == "paragraph") { ?>
                	<p class="silvuple-element-paragraph" style="text-align:<?php echo esc_attr($paragraph_alignment) ?>; color:<?php echo esc_attr($paragraph_color) ?>;"><?php echo esc_html($paragraph_text) ?></p>
            	<?php } elseif($type == "btn_phone") { ?>
		        	<div class="silvuple-content-phone" style="color:<?php echo esc_attr($phone_color) ?>; text-align:<?php echo esc_attr($phone_alignment) ?>;font-family:<?php echo esc_attr($phone_font_family) ?>;">
		            	<i class="fas fa-phone"></i>
		              	<a href="tel:<?php echo esc_html($phone_number) ?>;"style="color:<?php echo esc_attr($phone_color) ?>;">
	              			<?php echo esc_html($phone_number) ?>	
	              		</a>
		            </div>
		        <?php } elseif($type == "btn_button") { ?>
		        	<div class="silvuple-content-button" style="text-align:<?php echo esc_attr($button_alignment) ?>;">
		        		<div class="silvuple-button-hover">
		        			<?php 
		        			if(($button_type == "button_link")){
		        				$btn_link = $button_url_link;
		        				$btn_style = 'background-color:'.esc_attr($button_background_color).'; color:'.esc_attr($button_color);
		        				$btn_class = 'silvuple-button';
		        				$btn_target = '';
		        				$btn_text = $button_text;
		        			} elseif(($button_type == "email_link")) {
		        				$mail_link = '';
		        				$mail_link .= 'mailto:'.$button_email_link;
		        				$mail_link .= '&subject='.$email_subject;
		        				$mail_link .= '&cc='.$email_cc;
		        				$mail_link .= '&bcc='.$email_bcc;
		        				$mail_link .= '&body='.$email_body;

		        				$btn_link = $mail_link;
		        				$btn_style = 'background-color:'.esc_attr($button_background_color).'; color:'.esc_attr($button_color);
		        				$btn_class = 'silvuple-mailto';
		        				$btn_target = '_blank';
		        				$btn_text = $button_text;
		        			} ?>
	        				<a target="<?php echo esc_attr($btn_target); ?>" class="<?php echo esc_attr($btn_class); ?>" style="<?php echo esc_attr($btn_style); ?>" href="<?php echo esc_url($btn_link); ?>"><?php echo esc_html($btn_text) ?></a>
		        		</div> 
		        	</div>
		        <?php } if($type == "content_image") { ?>
					<img class="silvuple-content-image"  src="<?php echo esc_url($image); ?>" alt="silvuple-content-image" style="max-width:<?php echo esc_attr($image_size) ?>%;" >
		        <?php } elseif ($type == "separator") { ?>
		          	<div class="silvuple-content-separator" style=" border-style:<?php echo esc_attr($separator_border) ?>; border-width:<?php echo esc_attr($separator_width) ?>px; border-color:<?php echo esc_attr($separator_color) ?>;">
		        	</div>
		        <?php } elseif($type == "contact_form") { ?>
      				<?php if (!empty($contact_form_id)) { ?> 
		        		<?php echo do_shortcode('[contact-form-7 id="' . esc_attr($contact_form_id) . '" title="Contact Form"]'); ?>
		        	<?php } ?>
		        <?php } elseif ($type == "spacer") { ?>
		        	<div class="silvuple-content-spacer" style="height:<?php echo esc_attr($spacer) ?>px;"></div>
	        	<?php } ?>
		    <?php } ?>
	    <?php } ?>
		</div>
		</div>
	</div>

    <?php
    return ob_get_clean();
}
add_shortcode('silvuple-content', 'silvuple_content_shortcode');