<?php
function silvuple_timeline_shortcode($params, $content) {
    extract(shortcode_atts( 
    	array(
	        'settings'            	=> '',
	        'list'                  => '',
      	), $params) 
	);

    ob_start(); 
    $list = unserialize(base64_decode($list)); ?>

    <div class="silvuple-timeline">
        <?php if ($list) {
			foreach ($list as $item) {
                $date =   					((array_key_exists('date', $item))?$item['date']:"");
                $date_font_size =   		((array_key_exists('date_font_size', $item))?$item['date_font_size']:"");
                $date_color =   			((array_key_exists('date_color', $item))?$item['date_color']:"");
                $week_day =   				((array_key_exists('week_day', $item))?$item['week_day']:"");
                $week_day_size =   			((array_key_exists('week_day_size', $item))?$item['week_day_size']:"");
                $day_color =   				((array_key_exists('day_color', $item))?$item['day_color']:"");
                $hour =   					((array_key_exists('hour', $item))?$item['hour']:"");
                $hour_font_size =   		((array_key_exists('hour_font_size', $item))?$item['hour_font_size']:"");
                $hour_color =   			((array_key_exists('hour_color', $item))?$item['hour_color']:"");
                $event_status =   			((array_key_exists('event_status', $item))?$item['event_status']:"");
                $event_status_size =   		((array_key_exists('event_status_size', $item))?$item['event_status_size']:"");
                $status_color =   			((array_key_exists('status_color', $item))?$item['status_color']:"");
                $status_description =   	((array_key_exists('status_description', $item))?$item['status_description']:"");
                $status_description_size =  ((array_key_exists('status_description_size', $item))?$item['status_description_size']:"");
                $description_color =  		((array_key_exists('description_color', $item))?$item['description_color']:"");
                $icon =   					((array_key_exists('icon', $item))?$item['icon']:"");
                $location =  				((array_key_exists('location', $item))?$item['location']:"");
                $location_size =  			((array_key_exists('location_size', $item))?$item['location_size']:"");
                $location_color =  			((array_key_exists('location_color', $item))?$item['location_color']:"");

		?>   
		        <div class="silvuple-inner-timeline">	
		        	<div class="silvuple-timeline-left">
						<div class="silvuple-timeline-date" style="color:<?php echo esc_attr($date_color) ?>; font-size:<?php echo esc_attr($date_font_size) ?>px;">
							<?php echo esc_html($date); ?>
						</div>
						<div class="silvuple-timeline-day" style="color:<?php echo esc_attr($day_color); ?>; font-size:<?php echo esc_attr($week_day_size) ?>px;">
							<?php echo esc_html($week_day); ?>
						</div>
					</div>
					<div class="timeline-img"></div>
					<div class="silvuple-timeline-right">	
						<div class="silvuple-timeline-time">
							<text style="color:<?php echo esc_attr($hour_color) ?>; font-size:<?php echo esc_attr($hour_font_size) ?>px;">
								<?php echo esc_html($hour);?>
							</text> 
							<a>•</a> 
							<u style="color:<?php echo esc_attr($status_color) ?>; font-size:<?php echo esc_attr($event_status_size) ?>px;">
								<?php echo esc_html($event_status); ?></u>
						</div>	
						<div class="silvuple-timeline-desc" style="color:<?php echo esc_attr($description_color); ?>; font-size:<?php echo esc_attr($status_description_size) ?>px;">
							<?php echo esc_html($status_description); ?>
						</div>
						<div class="silvuple-timeline-location" style="color:<?php echo esc_attr($location_color); ?>;font-size:<?php echo esc_attr($location_size) ?>px;">
              				<?php if ( class_exists('Elementor\Core\Admin\Admin') ) { ?>
          						<?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'aria-hidden' => 'true' ] ); ?>
			              	<?php } else { ?>
			        			<i class="<?php echo esc_attr($item['icon']['value']); ?>"></i>
			              	<?php } ?>
							<?php echo esc_html($location); ?>
						</div>
					</div>	
				</div>
        	<?php } ?>
		<?php } ?>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('silvuple-timeline', 'silvuple_timeline_shortcode');